From ac205b33a86d0aad41803440fb444c4c60f30a16 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Mon, 19 Dec 2022 16:33:34 +0100
Subject: [PATCH] Rework warning about column list combining

---
 doc/src/sgml/logical-replication.sgml | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 7fdf08b59d..e5692531c2 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -1303,40 +1303,36 @@ test_sub=# SELECT * FROM child ORDER BY a;
    Column lists have no effect for the <literal>TRUNCATE</literal> command.
   </para>
 
   <para>
    During initial data synchronization, only the published columns are
    copied.  However, if the subscriber is from a release prior to 15, then
    all the columns in the table are copied during initial data synchronization,
    ignoring any column lists.
   </para>
 
-  <sect2 id="logical-replication-col-list-combining">
-   <title>Combining Multiple Column Lists</title>
-
-   <warning>
+   <warning id="logical-replication-col-list-combining">
+    <title>Combining Column Lists from Multiple Subscriptions</title>
     <para>
      It is not supported to have a subscription comprising several publications
      where the same table has been published with different column lists.
      This means changing the column lists of the tables being subscribed could
      cause inconsistency of column lists among publications, in which case
      the <xref linkend="sql-alterpublication"/> will be successful but later
      the walsender on the publisher, or the subscriber may throw an error. In
      this scenario, the user needs to recreate the subscription after adjusting
      the column list or drop the problematic publication using
      <literal>ALTER SUBSCRIPTION ... DROP PUBLICATION</literal> and then add it
      back after adjusting the column list.
     </para>
    </warning>
 
-  </sect2>
-
   <sect2 id="logical-replication-col-list-examples">
    <title>Examples</title>
 
    <para>
     Create a table <literal>t1</literal> to be used in the following example.
 <programlisting>
 test_pub=# CREATE TABLE t1(id int, a text, b text, c text, d text, e text, PRIMARY KEY(id));
 CREATE TABLE
 </programlisting></para>
 
-- 
2.30.2

